"use strict";
// Copyright (c) Rodrigo Speller. All rights reserved.
// Licensed under the Apache License, Version 2.0.
// See License.txt in the project root for license information.
Object.defineProperty(exports, "__esModule", { value: true });
;
class Entry {
    constructor(tag, factory) {
        this.tag = tag;
        this.factory = factory;
    }
    hold(symbol) {
        this.factory[symbol] = this;
    }
    release(symbol) {
        delete this.factory[symbol];
    }
    static get(type, symbol) {
        return type[symbol];
    }
}
exports.default = Entry;
exports.Entry = Entry;
