"use strict";
// Copyright (c) Rodrigo Speller. All rights reserved.
// Licensed under the Apache License, Version 2.0.
// See License.txt in the project root for license information.
Object.defineProperty(exports, "__esModule", { value: true });
class ResolvingTagStack {
    constructor(tag, parent) {
        this.tag = tag;
        this.parent = parent;
    }
    append(tag) {
        return new ResolvingTagStack(tag, this);
    }
    contains(tag) {
        if (tag == this.tag)
            return true;
        if (this.parent == null)
            return false;
        return this.parent.contains(tag);
    }
}
exports.default = ResolvingTagStack;
