"use strict";
// Copyright (c) Rodrigo Speller. All rights reserved.
// Licensed under the Apache License, Version 2.0.
// See License.txt in the project root for license information.
Object.defineProperty(exports, "__esModule", { value: true });
const Entry_1 = require("./Entry");
class TransientEntry extends Entry_1.default {
    resolve(activator) {
        return activator.activate(this.factory);
    }
    clone() {
        return new TransientEntry(this.tag, this.factory);
    }
}
exports.default = TransientEntry;
